<?php

namespace common\modules\product\models;

use Yii;

/**
 * This is the model class for table "product_variant_type".
 *
 * @property integer $product_variant_type_id
 * @property string $name
 */
class ProductVariantType extends \yii\db\ActiveRecord
{
    public $_variants = [];

    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'product_variant_type';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'string', 'max' => 50],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'product_variant_type_id' => 'Product Variant Type ID',
            'name' => 'Name',
        ];
    }

    public function getId() {
        return $this->product_variant_type_id;
    }
}
